Hacker News new | comments | ask | show | jobs | submit login

Just piggybacking on this thread to ask if there is a way to configure the editor so it accepts the spread operator? I'm getting errors and my Google Fu is failing me.



This is mentioned in the release notes for 1.0.0 [1].

Their suggested solution is to disable built-in JavaScript validation entirely and rely on ESLint instead.

> Some users want to use syntax constructs like the proposed ES7 Object Rest/Spread Properties. However, these are currently not supported by Salsa and are flagged as errors. For users who still want to use these ES7 features, we have revived the javascript.validate.enable setting to disable all built-in syntax checking.

[1] https://code.visualstudio.com/Updates#_100-march-2016




Applications are open for YC Summer 2019

Guidelines | FAQ | Support | API | Security | Lists | Bookmarklet | Legal | Apply to YC | Contact

Search: